Package fr.gouv.vitam.common.model

# Class AdminStatusMessage

java.lang.Object
fr.gouv.vitam.common.model.AdminStatusMessage

public class AdminStatusMessage extends Object
Default Administration Status message

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdminStatusMessage()`
  Empty constructor
  `AdminStatusMessage(com.fasterxml.jackson.databind.JsonNode serverIdentity, boolean status, com.fasterxml.jackson.databind.node.ObjectNode detail, com.fasterxml.jackson.databind.JsonNode componentsVersions)`
  Constructor from ServerIdentity

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.fasterxml.jackson.databind.JsonNode`
  `getComponentsVersions()`
  `com.fasterxml.jackson.databind.node.ObjectNode`
  `getDetail()`
  `com.fasterxml.jackson.databind.JsonNode`
  `getServerIdentity()`
  `boolean`
  `getStatus()`
  `void`
  `setComponentsVersions(com.fasterxml.jackson.databind.JsonNode componentsVersions)`
  `AdminStatusMessage`
  `setDetail(com.fasterxml.jackson.databind.node.ObjectNode detail)`
  `AdminStatusMessage`
  `setServerIdentity(com.fasterxml.jackson.databind.JsonNode serverIdentity)`
  `AdminStatusMessage`
  `setStatus(boolean status)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AdminStatusMessage

    public AdminStatusMessage()
    Empty constructor

  - ### AdminStatusMessage

    public AdminStatusMessage(com.fasterxml.jackson.databind.JsonNode serverIdentity, boolean status, com.fasterxml.jackson.databind.node.ObjectNode detail, com.fasterxml.jackson.databind.JsonNode componentsVersions)
    Constructor from ServerIdentity
    Parameters:
      `serverIdentity` - containing ServerName, ServerRole, Global PlatformId
      `status` - True if the status is OK, else False
      `detail` - the detailed status if any
      `componentsVersions` -

- ## Method Details

  - ### getServerIdentity

    public com.fasterxml.jackson.databind.JsonNode getServerIdentity()
    Returns:
      the serverIdentity

  - ### setServerIdentity

    public AdminStatusMessage setServerIdentity(com.fasterxml.jackson.databind.JsonNode serverIdentity)
    Parameters:
      `serverIdentity` - the serverIdentity to set
    Returns:
      this

  - ### getStatus

    public boolean getStatus()
    Returns:
      the status

  - ### setStatus

    public AdminStatusMessage setStatus(boolean status)
    Parameters:
      `status` - the status to set
    Returns:
      this

  - ### getDetail

    public com.fasterxml.jackson.databind.node.ObjectNode getDetail()
    Returns:
      the detail

  - ### setDetail

    public AdminStatusMessage setDetail(com.fasterxml.jackson.databind.node.ObjectNode detail)
    Parameters:
      `detail` - the detail to set
    Returns:
      this

  - ### getComponentsVersions

    public com.fasterxml.jackson.databind.JsonNode getComponentsVersions()
    Returns:
      componentsVersions as JsonNode

  - ### setComponentsVersions

    public void setComponentsVersions(com.fasterxml.jackson.databind.JsonNode componentsVersions)
    Parameters:
      `componentsVersions` -

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`